body {
  display: flex;
  flex-direction: column;
}

#Data {
  min-width: 1500px;
  zoverflow: auto;
}

#Data td:nth-child(1),
#Data td:nth-child(2),
#Data td:nth-child(3),
#Data td:nth-child(4) {  /* Logs */
  text-align: center;
}

#Data td:nth-child(5) {  /* MAC */
  font: 12px lucida console;
  white-space: nowrap;
}

#Data td:nth-child(9),    /* Access */
#Data td:nth-child(18) {  /* OS */
  white-space: nowrap;
}

#Data th {
  cursor: pointer;
}

#Errors h2 {
  color: red;
  font: bold 13px arial;
}

#Errors > div {
  border: 1px solid red;
  display: table-cell;
  padding: 0.5em;
}

#Errors td {
  cursor: pointer;
}

h2 {
  color: #246;
  font: bold 14px verdana;
}

a {
  font-weight: bold;
  text-decoration: none;
}

a:hover {
  color: green;
  text-decoration: underline;
}

#Instructions {
  background: #246;
  color: white;
  font-weight: bold;
  padding: 0.5em;
}

#Instructions > div {
  background: #f8f8f8;
  color: black;
  display: none;
  font-weight: normal;
  padding: 0.5em;
}

.selected {
  background: #cfc;
}

#Data table, #Data table input {
  font: 12px arial;
}

#Data tr:nth-child(odd) {
  background: #f2f2f2;
}

#Data table tr:hover {
  background: #fed;
}

#Data td {
  cursor: pointer;
}

.ok {
  background: white;
  color: green;
}

.greenflag {
  background: #afa;
  color: black;
}

.yellowflag {
  background: yellow;
  color: black;
}

.orangeflag {
  background: gold !important;
  color: black;
}

.redflag {
  background: red !important;
  color: white;
  font-weight: bold;
}

.redflag a {
  color: white;
}

#Data td input {
  width: 100px;
}

#Data table {
  table-layout: fixed;
}

#date {
  display: none;
}

em {
  color: brown;
}

#Unfilter {
  zposition: fixed;
  ztop: 0;
  zright: 0;
  zz-index: 100;
  display: none;
  background: #eaa !important;
  zfloat: right;
}

#Status {
  position: absolute;
  top: 10px;
  right: 0px;
  font-weight: bold;
  color: white;
}

#Status span {
  padding: 0.3em;
  text-align: right;
  white-space: nowrap;
  cursor: pointer;
}

#Instructions u {
  color: white;
}

#Search {
  background: yellow;
  width: 7em;
}

.D1, .D7, .D14, .D28 {
  opacity: 0;
  font-size: 80%;
}

img.XL {
  cursor: pointer;
}

input[type=checkbox] {
  width: 20px !important;
}

#Tasks a {
  font-weight: normal;
}

#Tasks span {
  margin-left: 1em;
  cursor: pointer;
}

#Tasks span:hover {
  color: red;
}

#Tasks li {
  border-bottom: 1px solid #ddd;
}

.online {
  background: #cfc;
  zcolor: green;
  zfont-weight: bold;
}

.scans {
  display: none;
  background: white;
  border: 4vh solid #369;
  position: fixed;
  left: 5vh;
  right: 5vh;
  top: 5vh;
  max-height: 80vh;
  overflow: scroll;
  margin: auto;
  box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
}

.scans th {
  background: #def;
}

.disabled {
  opacity: 0.4;
  pointer-events: none;
}

.redflag u {
  color: white;
}

#Data th:nth-child(-n + 4) {
  min-width: 6em;
}

#Data th:nth-child(11) {
  min-width: 12em;
}

button u {
  color: black !important;
}

#Data th {
  position: sticky;
  top: 0;
  background: #def;
}